const batch = count =>
  [...Array(count + 1)]
    .map((_, i) => ({ [i]: `${i}px` }))
    .reduce((prev, curr) => ({ ...prev, ...curr }), {});

module.exports = {
  content: ['./public/**/*.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
  corePlugins: {
    preflight: false
  },
  theme: {
    extend: {
      // margin: batch(100)
    }
  },
  plugins: []
};
